GET /.well-known/oauth-authorization-server
Claims the OAuth issuer is https://identity.catastrophic.io. Disagrees with the OIDC document above and with the agent card.
curl -is https://bots.catastrophic.io/.well-known/oauth-authorization-server | grep -i 'X-Chaos-Claims-Issuer\|issuer'
import json, urllib.request
data = json.loads(urllib.request.urlopen(
"https://bots.catastrophic.io/.well-known/oauth-authorization-server").read())
print(data["issuer"])
const data = await (await fetch(
"https://bots.catastrophic.io/.well-known/oauth-authorization-server")).json();
console.log(data.issuer);
package main
import (
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
resp, _ := http.Get("https://bots.catastrophic.io/.well-known/oauth-authorization-server")
defer resp.Body.Close()
raw, _ := io.ReadAll(resp.Body)
var data map[string]any
json.Unmarshal(raw, &data)
fmt.Println(data["issuer"])
}
// Cargo.toml: reqwest = { version = "0.12", features = ["blocking", "json"] }
// serde_json = "1"
fn main() -> Result<(), Box> {
let data: serde_json::Value = reqwest::blocking::get(
"https://bots.catastrophic.io/.well-known/oauth-authorization-server")?.json()?;
println!("{}", data["issuer"]);
Ok(())
}
// Requires Jackson
import com.fasterxml.jackson.databind.ObjectMapper;
import java.net.URI;
import java.net.http.*;
public class OauthAs {
public static void main(String[] args) throws Exception {
var client = HttpClient.newHttpClient();
var req = HttpRequest.newBuilder(URI.create(
"https://bots.catastrophic.io/.well-known/oauth-authorization-server")).build();
var resp = client.send(req, HttpResponse.BodyHandlers.ofString());
System.out.println(new ObjectMapper().readTree(resp.body()).path("issuer").asText());
}
}
using System.Text.Json;
using var client = new HttpClient();
var raw = await client.GetStringAsync("https://bots.catastrophic.io/.well-known/oauth-authorization-server");
Console.WriteLine(JsonDocument.Parse(raw).RootElement.GetProperty("issuer"));
require "net/http"
require "json"
data = JSON.parse(Net::HTTP.get(URI("https://bots.catastrophic.io/.well-known/oauth-authorization-server")))
puts data["issuer"]
$r = Invoke-WebRequest 'https://bots.catastrophic.io/.well-known/oauth-authorization-server'
($r.Content | ConvertFrom-Json).issuer